package domain

type AlibabaWdkMarketingItempoolStairRemoveitemMarketResult struct {
	/*
	   message     */
	Message *string `json:"message,omitempty" `

	/*
	   data     */
	Data *string `json:"data,omitempty" `

	/*
	   errorCode     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   success     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaWdkMarketingItempoolStairRemoveitemMarketResult) SetMessage(v string) *AlibabaWdkMarketingItempoolStairRemoveitemMarketResult {
	s.Message = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolStairRemoveitemMarketResult) SetData(v string) *AlibabaWdkMarketingItempoolStairRemoveitemMarketResult {
	s.Data = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolStairRemoveitemMarketResult) SetErrorCode(v string) *AlibabaWdkMarketingItempoolStairRemoveitemMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolStairRemoveitemMarketResult) SetSuccess(v bool) *AlibabaWdkMarketingItempoolStairRemoveitemMarketResult {
	s.Success = &v
	return s
}
